/*******************************************************************************
 * Copyright (C) 2005 - 2014 TIBCO Software Inc. All rights reserved.
 * http://www.jaspersoft.com.
 * 
 * Unless you have purchased  a commercial license agreement from Jaspersoft,
 * the following license terms  apply:
 * 
 * This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 ******************************************************************************/
package com.jaspersoft.webservice.data;

import java.util.HashMap;

import com.jaspersoft.webservice.data.enumerations.AuthType;
import com.jaspersoft.webservice.data.enumerations.LanguageType;
import com.jaspersoft.webservice.data.enumerations.VerbType;

import net.sf.jasperreports.data.AbstractDataAdapter;

/**
 * Implementation of the web service data adapter, essentially
 * it only store the informations
 * 
 * @author Orlandin Marco
 *
 */
public class WebServiceDataAdapterImpl extends AbstractDataAdapter implements WebServiceDataAdapter {

	/**
	 * String where the WS uri is stored
	 */
	private String wsUri;
	
	/**
	 * Object where the verb type is stored
	 */
	private String verb;
	
	/**
	 * Object where the verb type is stored
	 */
	private LanguageType language;
	
	/**
	 * Object where the authentication type is stored
	 */
	private String authType;
	
	/**
	 * Map where the authentication parameters are saved
	 */
	private HashMap<String, String> authParameters;
	
	/**
	 * Create an instance of the adapter with default values
	 */
	public WebServiceDataAdapterImpl(){
		setName("New WebQL Data Adapter");
		wsUri = "";
		verb = VerbType.POST.toString();
		authType = AuthType.NONE.toString();
		authParameters = new HashMap<String, String>();
	}
	
	@Override
	public String getWsUri() {
		return wsUri;
	}

	@Override
	public String getAuthType() {
		return authType;
	}

	@Override
	public void setWsUri(String wsUri) {
		this.wsUri = wsUri;
	}

	public void setAuthType(AuthType authType) {
		this.authType = authType.toString();
	}
	@Override
	
	public void setAuthType(String authType) {
		this.authType = authType;
	}

	@Override
	public String getVerb() {
		return verb;
	}

	@Override
	public LanguageType getLanguage() {
		return language;
	}

	@Override
	public void setVerb(String verb) {
		this.verb = verb;
	}

	@Override
	public void setLanguage(LanguageType language) {
		this.language = language;
	}

	@Override
	public void setAuthParameters(HashMap<String, String> parameters) {
		this.authParameters = parameters;
	}

	@Override
	public HashMap<String, String> getAuthParameters() {
		return authParameters;
	}

	@Override
	public String getAuthParameter(String key) {
		return authParameters.get(key);
	}

	@Override
	public void setAuthParameter(String key, String value) {
		authParameters.put(key, value);
	}
 
}
