/*******************************************************************************
 * Copyright (C) 2005 - 2014 TIBCO Software Inc. All rights reserved.
 * http://www.jaspersoft.com.
 * 
 * Unless you have purchased  a commercial license agreement from Jaspersoft,
 * the following license terms  apply:
 * 
 * This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 ******************************************************************************/
package com.jaspersoft.webservice.data.authenitcator;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.apache.http.client.fluent.Request;

/**
 * Empty authenticator used when no authentication is required, it doesn't do
 * nothing
 * 
 * @author Orlandin Marco
 *
 */
public class EmptyAuthenticator implements AuthenticatorInterface {

	@Override
	public void setAuthenication(Request request, Map<String, String> parameters) {
		//The basic authenticator doesn't do anything
	}

	@Override
	public String contributeURL(String url, Map<String, String> parameters) {
		//The basic authenticator doesn't do anything
		return url;
	}

	@Override
	public List<String> getRequiredParameters() {
		return new ArrayList<String>();
	}

	@Override
	public String getLocalizedParameterName(String parameterName) {
		return parameterName;
	}

	@Override
	public Class<?> getParameterType(String parameterName) {
		return String.class;
	}

}
