/*******************************************************************************
 * Copyright (C) 2005 - 2014 TIBCO Software Inc. All rights reserved.
 * http://www.jaspersoft.com.
 * 
 * Unless you have purchased  a commercial license agreement from Jaspersoft,
 * the following license terms  apply:
 * 
 * This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 ******************************************************************************/
package com.jaspersoft.webservice.data.query;

import java.util.Map;

import net.sf.jasperreports.engine.JREmptyDataSource;

/**
 * An empty datasource that doesn't return any data, it is used 
 * when the provided query is empty or not valid
 * 
 * @author Orlandin Marco
 *
 */
public class WSEmptyDatasource extends JREmptyDataSource implements IWSDataSource {

	@Override
	public IWSDataSource clone() {
		return new WSEmptyDatasource();
	}

	@Override
	public IWSDataSource clone(String basePath, Map<String, String> fieldExpressionMap) {
		return new WSEmptyDatasource();
	}

	@Override
	public IWSDataSource clone(String basePath) {
		return new WSEmptyDatasource();
	}
	
	@Override
	public void setNumberPattern(String pattern) {

	}
	
	@Override
	public void setDatePattern(String pattern) {

	}

}
