/*******************************************************************************
 * Copyright (C) 2005 - 2014 TIBCO Software Inc. All rights reserved.
 * http://www.jaspersoft.com.
 * 
 * Unless you have purchased  a commercial license agreement from Jaspersoft,
 * the following license terms  apply:
 * 
 * This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 ******************************************************************************/
package com.jaspersoft.webservice.data.query.definition;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Represent a Option object inside the query object. It has annotations
 * to be converted into a string with json
 * 
 * @author Orlandin Marco
 *
 */
public class Options {

	@JsonProperty("contentType")
	private String contentType;
	
	@JsonProperty("rootPath")
	private String rootPath;
	
	@JsonProperty("baseUrl")
	private String baseUrl;
	
	public Options(){
		this.contentType = "";
		this.rootPath = "";
		this.baseUrl = "";
	}

	public String getContentType() {
		return contentType;
	}

	public void setContentType(String contentType) {
		this.contentType = contentType;
	}

	public String getRootPath() {
		return rootPath;
	}

	public void setRootPath(String rootPath) {
		this.rootPath = rootPath;
	}

	public String getBaseUrl() {
		return baseUrl;
	}

	public void setBaseUrl(String baseUrl) {
		this.baseUrl = baseUrl;
	}
}
