/*******************************************************************************
 * Copyright (C) 2005 - 2014 TIBCO Software Inc. All rights reserved.
 * http://www.jaspersoft.com.
 * 
 * Unless you have purchased  a commercial license agreement from Jaspersoft,
 * the following license terms  apply:
 * 
 * This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 ******************************************************************************/
package com.jaspersoft.webservice.data.query.exception;

import net.sf.jasperreports.engine.JRException;

/**
 * Exception triggered when there is some problem in the client server
 * communication
 */
public class JRConnectionException extends JRException {

	private static final long serialVersionUID = -1128867363382383753L;

	private String httpReuqest;
	
	private String serverResponse = null;
	
	private int returnCode = -1;
	
	public JRConnectionException(Throwable t, String httpRequest) {
		this(t, httpRequest, -1, null);
	}
	
	public JRConnectionException(Throwable t, String httpRequest, int returnCode, byte[] serverResponse) {
		super(t);
		this.httpReuqest = httpRequest;
		this.returnCode = returnCode;
		if (serverResponse != null){
			try{
				String message = new String(serverResponse, "UTF-8");
				this.serverResponse = message;
			} catch (Exception ex){	
			}
		}
	}

	@Override
	public String toString() {
		StringBuilder message = new StringBuilder("Error with request on the server:\n ");
		message.append(httpReuqest);
		if (serverResponse != null){
			message.append("\nIt has retruned the following response: \n");
			message.append(serverResponse);
		}
		if (returnCode != -1){
			message.append("\nResponse code: ");
			message.append(returnCode);
		}
		message.append("\nAdditional informations: \n");
		message.append(getCause().toString());
		return message.toString();
	}
	
}
