package com.jaspersoft.weservice.authenticator.google;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.apache.http.client.fluent.Request;

import com.jaspersoft.webservice.data.authenitcator.AuthenticatorInterface;

public class GoogleAuthenticator implements AuthenticatorInterface {

	public static final String KEY_PARAM_NAME = "key";

	private static final List<String> requiredParameters = new ArrayList<String>();
	
	static{
		requiredParameters.add(KEY_PARAM_NAME);
	}
	
	@Override
	public String contributeURL(String url, Map<String, String> parameters) {
		String key = parameters.get(KEY_PARAM_NAME);
		if (key != null){
			String parameter = "key="+key;
			String result = new String(url);
			if(!result.contains("?")){
				result += "?";
			} else if (!result.endsWith("?") && !result.endsWith("&")){
				result += "&";
			}
			result += parameter;
			return result;
		}
		return url;
	}

	@Override
	public List<String> getRequiredParameters() {
		return requiredParameters;
	}

	@Override
	public String getLocalizedParameterName(String parameterName) {
		if (KEY_PARAM_NAME.equals(parameterName)){
			return "Google Key";
		} else {
			return "Unknow Parameter";
		}
	}

	@Override
	public Class<?> getParameterType(String parameterName) {
		return String.class;
	}

	@Override
	public void setAuthenication(Request request,Map<String, String> parameters) {
		//Doesn't do nothing
	}

}
