/*******************************************************************************
 * Copyright (C) 2005 - 2014 TIBCO Software Inc. All rights reserved.
 * http://www.jaspersoft.com.
 * 
 * Unless you have purchased  a commercial license agreement from Jaspersoft,
 * the following license terms  apply:
 * 
 * This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 ******************************************************************************/
package com.jaspersoft.studio.data.webservice.google.authenticator;

import java.util.HashMap;

import org.eclipse.jface.wizard.WizardPage;

import com.jaspersoft.studio.data.webservice.authconfigurator.AuthenticationConfigurator;
import com.jaspersoft.webservice.data.enumerations.AuthType;
import com.jaspersoft.weservice.authenticator.google.GoogleAuthType;

/**
 * Configurator used to provide a basic access control, with username and password
 * 
 * @author Orlandin Marco
 *
 */
public class GoogleAuthenticationConfigurator implements AuthenticationConfigurator {
	
	public GoogleAuthenticationConfigurator(){
		
	}

	@Override
	public WizardPage createEditorPage(HashMap<String, String> parameters) {
		return new GoogleAuthWizardPage(parameters);
	}

	@Override
	public boolean hasGraphicalWizard() {
		return true;
	}

	@Override
	public AuthType getHandledType() {
		return GoogleAuthType.INSTANCE;
	}

}
